Module java.desktop
Package javax.swing.plaf.basic

# Class BasicSliderUI.FocusHandler

java.lang.Object
javax.swing.plaf.basic.BasicSliderUI.FocusHandler

All Implemented Interfaces:
  `FocusListener`, `EventListener`

Enclosing class:
  BasicSliderUI

public class BasicSliderUI.FocusHandler extends Object implements FocusListener
Focus-change listener.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

## Constructor Summary

Constructors
Constructor
Description
`FocusHandler()`
Constructs a `FocusHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`focusGained(FocusEvent e)`
Invoked when a component gains the keyboard focus.
`void`
`focusLost(FocusEvent e)`
Invoked when a component loses the keyboard focus.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FocusHandler

public FocusHandler()
Constructs a `FocusHandler`.

## Method Details

### focusGained

public void focusGained(FocusEvent e)
Description copied from interface: `FocusListener`
Invoked when a component gains the keyboard focus.

Specified by:
  `focusGained` in interface `FocusListener`
Parameters:
  `e` - the event to be processed

### focusLost

public void focusLost(FocusEvent e)
Description copied from interface: `FocusListener`
Invoked when a component loses the keyboard focus.

Specified by:
  `focusLost` in interface `FocusListener`
Parameters:
  `e` - the event to be processed